{{ ansible_managed }}

# Address of the activeMQ queue, for example tcp://localhost:61616
# Should be left blank if camel should work without ActiveMQ
active_mq_url=tcp://{{ mq_host|default('localhost') }}:{{ mq_port|default(61616) }}

# Encryption is used
crypto=false

# The path to the file with the routes
routes_file=/home/${user.name}/camel/routes.xml

# Path to directory with configuration files mapping
config_folder=/home/${user.name}/camel/config/

# Service address is invalidated
invalidation_service={{ camel_invalidation_service|default('http://localhost:7009/camel/services/invalidate') }}

# Charset for front-end. Used to convert data sent to and received from front-end.
# Should be java charset name like UTF-8 or ISO-8859-1
svfe_encoding=UTF-8

# Charset for back-office. Used to convert data sent to and received from back-office.
# Should be java charset name like UTF-8 or ISO-8859-1
svbo_encoding=UTF-8

# Number of connections to the adapter.
pool_connection=10

# Address of the adapter
# Should contain the URL like http://localhost:8000 if Camel should work without ActiveMQ
# Should be left blank if Camel should work without ActiveMQ
http_adapter_url=

# The message envelope is used.
useXmlWrapper=true

# Directory for file upload
output_directory=/home/${user.name}/camel/output/

# Address SVIS service
svis_address=
#http://localhost:7001/sv/InfoWS

# Address SVIP service
svip_address=
#http://localhost:9008/camel/services/SVIP

# If true, posting file processor will use characters as offsets. Otherwise (default), byte offsets will be used
posting_char_addressing=false

# List of institution ids that belong to Visa
visa_inst_ids=9002,9006,9008
# List of institution ids that belong to MasterCard
mc_inst_ids=9001,9009,9010
# List of institution ids that belong to MIR
mir_inst_ids=9014
# List of institution ids that belong to SV2SV
sv2sv_inst_ids=8000
# List of institution ids that belong to WAY4
way4_inst_ids=9015
# List of institution ids that belong to AmEx
amex_inst_ids=9003
# List of institution ids that belong to UnionPay
cup_inst_ids=9011
# List of institution ids that belong to JCB
jcb_inst_ids=9012
# List of institution ids that belong to DinersClub
diners_inst_ids=9013
# List of institution ids that belong to Tieto
tieto_inst_ids=9077
# List of institution ids that belong to NBC
nbc_inst_ids=9016,9017
# List of institution ids that belong to Priority Pass
pp_inst_ids=9004
# List of institution ids that belong to BORICA
borica_inst_ids=9005
# List of institution ids that belong to Belkart
belkart_inst_ids=9007

# SVIP Virtual card creation (CardAcctRelAddRq) settings
# Settings for the case when LimitCount is present in CardAcctRelAddRq message
vc_limit_type=LMTTC03
vc_cycle_type=8
vc_cycle_length=1

# (For standalone camel only) The port on which will be run web services.
ws_port=9007

# (For standalone camel only) The port to stop the application
ds_port=5555

# (For standalone camel only) SSL/TLS configuration
identity_keystore_file=
identity_key_alias=
identity_key_password=
identity_keystore_password=
trust_keystore_file=

# (For standalone camel only) Do not change the values below
httpProtocol=#{'${crypto}'=='true' ? 'https' : 'http'}
tlsParams=#{'${crypto}'=='true' ? 'secure' : 'insecure'}

# Configure jdbc connection
host={{ backoffice_host|default('localhost') }}
port=1521
sid=svbo
user=main
password=xxxxx

# Radix of PDS tags (field 86) length
pds_tags_radix=10

# R22.20.146
char_addressing=false
